Package ru.bitel.bgbilling.modules.mps.common.bean

# Class Transaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.common.bean.BGAbstractTransaction
ru.bitel.bgbilling.modules.mps.common.bean.Transaction

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class Transaction
    extends BGAbstractTransaction

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Transaction()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getContractComment()` |
  `java.util.Date` | `getLocalTime()` |
  `java.lang.String` | `getNumber()` |
  `java.lang.String` | `getPaymentComment()` |
  `java.util.Date` | `getPaymentDate()` |
  `java.lang.String` | `getRawNumber()` |
  `java.lang.String` | `getSysPaymentData()` |
  `java.util.Date` | `getSysPaymentDate()` |
  `int` | `getSysPaymentId()` |
  `java.util.Date` | `getTime()` |
  `java.lang.String` | `getTransId()` |
  `int` | `getType()` |
  `void` | `setContractComment​(java.lang.String contractComment)` |
  `void` | `setLocalTime​(java.util.Date localTime)` |
  `void` | `setNumber​(java.lang.String number)` |
  `void` | `setPaymentComment​(java.lang.String paymentComment)` |
  `void` | `setPaymentDate​(java.util.Date paymentDate)` |
  `void` | `setRawNumber​(java.lang.String rawNumber)` |
  `void` | `setSysPaymentData​(java.lang.String sysPaymentData)` |
  `void` | `setSysPaymentDate​(java.util.Date sysPaymentDate)` |
  `void` | `setSysPaymentId​(int sysPaymentId)` |
  `void` | `setTime​(java.util.Date time)` |
  `void` | `setTransId​(long transId)` |
  `void` | `setTransId​(java.lang.String transId)` |
  `void` | `setType​(int type)` |
  `java.lang.String` | `toString()` |
  `java.lang.String` | `toStringReg()` |

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

  `getCardholderName, getContractId, getContractTitle, getCreateDate, getPan, getParameter, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, isAutopayment, setAutopayment, setContractId, setContractTitle, setCreateDate, setPaymentId, setStatus, setSum, setTransactionDate, setTransactionId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Transaction

    public Transaction()

- ## Method Details

  - ### getContractComment

    public java.lang.String getContractComment()
    Overrides:
      `getContractComment` in class `BGAbstractTransaction`

  - ### setContractComment

    public void setContractComment​(java.lang.String contractComment)
    Overrides:
      `setContractComment` in class `BGAbstractTransaction`

  - ### getType

    public int getType()

  - ### setType

    public void setType​(int type)

  - ### getTime

    public java.util.Date getTime()

  - ### setTime

    public void setTime​(java.util.Date time)

  - ### setTransId

    public void setTransId​(long transId)

  - ### setTransId

    public void setTransId​(java.lang.String transId)

  - ### getTransId

    public java.lang.String getTransId()

  - ### getLocalTime

    public java.util.Date getLocalTime()

  - ### setLocalTime

    public void setLocalTime​(java.util.Date localTime)

  - ### getNumber

    public java.lang.String getNumber()

  - ### setNumber

    public void setNumber​(java.lang.String number)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `BGAbstractTransaction`

  - ### toStringReg

    public java.lang.String toStringReg()

  - ### getRawNumber

    public java.lang.String getRawNumber()

  - ### setRawNumber

    public void setRawNumber​(java.lang.String rawNumber)

  - ### getSysPaymentDate

    public java.util.Date getSysPaymentDate()
    Returns:
      the sysPaymentDate

  - ### setSysPaymentDate

    public void setSysPaymentDate​(java.util.Date sysPaymentDate)
    Parameters:
      `sysPaymentDate` - the sysPaymentDate to set

  - ### getSysPaymentId

    public int getSysPaymentId()

  - ### setSysPaymentId

    public void setSysPaymentId​(int sysPaymentId)

  - ### getPaymentDate

    public java.util.Date getPaymentDate()

  - ### setPaymentDate

    public void setPaymentDate​(java.util.Date paymentDate)

  - ### getSysPaymentData

    public java.lang.String getSysPaymentData()

  - ### setSysPaymentData

    public void setSysPaymentData​(java.lang.String sysPaymentData)

  - ### getPaymentComment

    public java.lang.String getPaymentComment()

  - ### setPaymentComment

    public void setPaymentComment​(java.lang.String paymentComment)